1. PyPA
  2. Python Packaging Authority Projects
  3. setuptools

Commits

Jason R. Coombs  committed ddca71a

Catch VersionConflict in distribute_setup when checking for setuptools 0.7 (to allow upgrade from setuptools to distribute). Fixes #379

  • Participants
  • Parent commits 3e388c7
  • Branches distribute
  • Tags 0.6.45

Comments (0)

Files changed (2)

File CHANGES.txt

View file
 =======
 
 ------
+0.6.45
+------
+
+* Issue #379: ``distribute_setup.py`` now traps VersionConflict as well,
+  restoring ability to upgrade from an older setuptools version.
+
+------
 0.6.44
 ------
 

File distribute_setup.py

View file
             try:
                 pkg_resources.require("setuptools>=0.7b")
                 return
-            except pkg_resources.DistributionNotFound:
+            except (pkg_resources.DistributionNotFound,
+                    pkg_resources.VersionConflict):
                 pass
 
             if not hasattr(pkg_resources, '_distribute'):